Scilab Function
Last update : April 1993

comp - scilab function compilation

### Calling Sequence

  `comp(function [,opt])`

### Parameters

- `function`: an not compiled scilab function (type 11)
- `opt`: integer flag with value 0 (default) or 1.

### Description

`comp(function)` compiles the function `function`. Compiled and interpreted functions are equivalent but usually compiled functions are much faster. The functions provided in the standard libraries are compiled.

The command: `getf('filename')` loads the functions in file `'filename'` and compiles them. So comp has to be used in very particular cases.

The opt==1 option is specific to code analysis purpose (see macr2lst)

### See Also

`deff`, `getf`, `whereis`, `macr2lst`, `lib`,